# Class GraphLayout

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a layout configuration for arranging elements of a graph, such as positioning nodes and routing edges.

    public class GraphLayout

Inheritance
  object
  GraphLayout

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class serves as a base type for specific graph layout strategies and is intended to be used to control the visual or logical arrangement of graph components.

## Properties

### GraphConf

    public string? GraphConf { get; set; }

#### Property Value

string

### Layout

    public string? Layout { get; set; }

#### Property Value

string

### Name

    public List<string>? Name { get; set; }

#### Property Value

List<string>

### ObservationName

    public List<string>? ObservationName { get; set; }

#### Property Value

List<string>

### ObservationTitle

    public List<List<string>>? ObservationTitle { get; set; }

#### Property Value

List<List<string>>